#!/bin/sh

mkdir -p deploy/love

# make sure we have löve
cd deploy/love
if [ ! -e love-0.8.0-win-x86.zip ]; then
    wget https://bitbucket.org/rude/love/downloads/love-0.8.0-win-x86.zip
    unzip love-0.8.0-win-x86.zip || exit 1
fi
if [ ! -e love-0.8.0-macosx-ub.zip ]; then
    wget https://bitbucket.org/rude/love/downloads/love-0.8.0-macosx-ub.zip
    unzip love-0.8.0-macosx-ub.zip || exit 1
fi
cd ../..

# make the love file
V=`bzr version-info --custom --template={revno}`
echo "VERSION = '$V'" >version.lua
rm -f deploy/zoeplat.love
bzr ls -RV |zip -q@ deploy/zoeplat.love
bzr revert --no-backup version.lua

cd deploy

# package win32
rm -rf zoeplat-win32 zoeplat-win32.zip
mkdir zoeplat-win32
cat love/love-0.8.0-win-x86/love.exe zoeplat.love >zoeplat-win32/zoeplat.exe
cp love/love-0.8.0-win-x86/*.dll zoeplat-win32
# TODO: this is a spot I could copy a README, LICENSE, or VERSION file in.
zip -qr zoeplat-win32.zip zoeplat-win32

# package osx
rm -rf zoeplat.app zoeplat-macosx.zip
cp -r love/love.app zoeplat.app
cp zoeplat.love zoeplat.app/Contents/Resources/
cp ../Info.plist zoeplat.app/Contents/
zip -qry zoeplat-macosx.zip zoeplat.app

cd ..
